# Enum Class MRuntimeImageKind

java.lang.Object
java.lang.Enum<MRuntimeImageKind>
com.io7m.montarre.api.MRuntimeImageKind

All Implemented Interfaces:
  `Serializable, Comparable<MRuntimeImageKind>, Constable`

public enum MRuntimeImageKind extends Enum<MRuntimeImageKind>
Runtime image types.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `JDK`
  A full JDK with all jdk.* modules.
  `JRE`
  A reduced JRE without jdk.* modules.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `adoptiumName()`
  `static MRuntimeImageKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MRuntimeImageKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JDK

    public static final MRuntimeImageKind JDK
    A full JDK with all jdk.* modules.

  - ### JRE

    public static final MRuntimeImageKind JRE
    A reduced JRE without jdk.* modules.

- ## Method Details

  - ### values

    public static MRuntimeImageKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MRuntimeImageKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### adoptiumName

    public String adoptiumName()
    Returns:
      The Adoptium type name